Debian Bug report logs - #229308
console-tools: invalid argument when installing (examples dir) into non ext[23] partition

version graph

Package: console-tools; Maintainer for console-tools is Alastair McKinstry <mckinstry@debian.org>; Source for console-tools is src:console-tools.

Reported by: Tim Connors <tconnors+reportbug@astro.swin.edu.au>

Date: Sat, 24 Jan 2004 09:03:02 UTC

Severity: wishlist

Tags: wontfix

Found in version 1:0.2.3dbs-45.2

Fixed in version 2:0.2.3-73+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#229308; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to Tim Connors <tconnors+reportbug@astro.swin.edu.au>:
New Bug report received and forwarded. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tim Connors <tconnors+reportbug@astro.swin.edu.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: console-tools: invalid argument when installing (examples dir) into non ext[23] partition
Date: Sat, 24 Jan 2004 19:56:10 +1100
Package: console-tools
Version: 1:0.2.3dbs-45.2
Severity: grave
Justification: renders package unusable


(Reading database ... 80402 files and directories currently installed.)
Removing console-tools-libs ...
(Reading database ... 80380 files and directories currently installed.)
Preparing to replace console-tools 1:0.2.3dbs-45.2 (using .../console-tools_1%3a0.2.3dbs-46_i386.deb) ...
Unpacking replacement console-tools ...
dpkg: error processing /var/cache/apt/archives/console-tools_1%3a0.2.3dbs-46_i386.deb (--unpack):
 unable to stat `./usr/share/doc/console-tools/examples/###### (which I was about to install): Invalrgument
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Selecting previously deselected package libconsole.
Unpacking libconsole (from .../libconsole_1%3a0.2.3dbs-46_i386.deb) ...
Errors were encountered while processing:
 /var/cache/apt/archives/console-tools_1%3a0.2.3dbs-46_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


Hell, I can't even cut and paste the invalid chars into emacs :)

I tried to downgrade to stable, but it too died on a similarly named
file (this time in unicode examples dir).

realpath of /usr/share/doc/console-tools/examples/ is
/part1/usr/share/doc/console-tools/examples

and part1 is a jfs filesystem. I think this must have been the first
time I upgraded this package since I made a restore from backup, and I
obviously didn't notice tar complain about invalid argument when it
would have tried to install this file.

Is it really wise to have unicode chars in a filename, given the lack
of portability?

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux scuzzie 2.4.23 #1 Mon Jan 5 20:09:11 EST 2004 i686
Locale: LANG=en_AU, LC_CTYPE=en_AU

Versions of packages console-tools depends on:
ii  console-common              0.7.34       Basic infrastructure for text cons
ii  debconf                     1.4.7        Debian configuration management sy
ii  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an
pn  libconsole                               Not found.
ii  sysvinit                    2.85-9       System-V like init.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#229308; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to 229308@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #10 received at 229308@bugs.debian.org (full text, mbox):

From: "J.H.M. Dassen (Ray)" <fsmla@xinara.org>
To: 229308@bugs.debian.org
Cc: Tim Connors <tconnors+reportbug@astro.swin.edu.au>
Subject: Re: console-tools: invalid argument when installing (examples dir) into non ext[23] partition
Date: Sat, 24 Jan 2004 22:30:45 +0100
Regarding this bug report's title, console-tools installs just fine on my
reiserfs partition.

On Sat, Jan 24, 2004 at 19:56:10 +1100, Tim Connors wrote:
> dpkg: error processing /var/cache/apt/archives/console-tools_1%3a0.2.3dbs-46_i386.deb (--unpack):
>  unable to stat `./usr/share/doc/console-tools/examples/###### (which I was about to install): Invalrgument
> dpkg-deb: subprocess paste killed by signal (Broken pipe)

> Is it really wise to have unicode chars in a filename, given the lack of
> portability?

Using UTF-8 is more or less the only sensible way of getting beyond
ASCII-only filenames.

Have a look at the "README.strange-name" file that ships along with the
example. The kernel/fs really should treat it as any other file. I suspect
that what your seeing should be interpreted as a bug in the filesystem
you're using, not in console-tools. It would be helpful if you could provide
the relevant part of strace output of "dpkg-deb -x
/var/cache/apt/archives/console-tools_1%3a0.2.3dbs-46_i386.deb
/a/path/to/a/temp/directory/on/jfs".

Ray
-- 
Pinky, Are You Pondering What I'm Pondering?
I think so Brain, but who wants to see Snow White and the Seven Samuri? 
	Pinky and the Brain in "Big in Japan"



Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#229308; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to mckinstry@computer.org:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #15 received at 229308@bugs.debian.org (full text, mbox):

From: "Alastair McKinstry" <mckinstry@computer.org>
To: 229308-submitter@bugs.debian.org, 229308@bugs.debian.org
Subject: #229308: This is a filesystem bug
Date: Mon, 26 Jan 2004 13:38:18 GMT
Under the POSIX standard, a filename may be any be any 
null-terminated string. The filenames in console-tools are
hence perfectly valid.

The recommended charset is UTF-8, under which they are all visible; under others
they may not be so. Non-ASCII would normally be avoided, but in this case the
purpose is to demonstrate
non-ASCII characters, so they will stay.

Please send output of strace, if possible; the bug appears
to be present in the filesystem.  

Regards,
Alastair




Severity set to `wishlist'. Request was from "Alastair McKinstry" <mckinstry@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from "Alastair McKinstry" <mckinstry@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Tim Connors <tconnors+reportbug@astro.swin.edu.au>:
Bug#229308. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#229308; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to Tim Connors <tconnors@astro.swin.edu.au>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #27 received at 229308@bugs.debian.org (full text, mbox):

From: Tim Connors <tconnors@astro.swin.edu.au>
To: 229308@bugs.debian.org
Cc: Alastair McKinstry <mckinstry@computer.org>, "J.H.M. Dassen (Ray)" <fsmla@xinara.org>
Subject: Re: console-tools: invalid argument when installing (examples dir) into non ext[23] partition (fwd)
Date: Tue, 27 Jan 2004 08:32:29 +1100 (EST)
Hmmm, with attachment, didn't get through to the BTS.

So rather than cut the thing down to size here, and potentially miss
something, I'll put it up at
http://www.astronomy.swin.edu.au/staff/tconnors/code/dpkg.strace.txt

Search for
[pid 32660] open("./usr/share/doc/console-tools/examples

-- 
TimC -- http://astronomy.swin.edu.au/staff/tconnors/
Beating is one thing .... pounding accompanied by the shakes is a bit
unnerving  -- Andrew Comeau in RHOD

---------- Forwarded message ----------
Date: Mon, 26 Jan 2004 15:38:41 +1100 (EST)
From: Tim Connors <tconnors@astro.swin.edu.au>
To: 229308@bugs.debian.org
Cc: Tim Connors <tconnors+reportbug@astro.swin.edu.au>
Subject: Re: console-tools: invalid argument when installing (examples dir)
    into non ext[23] partition

On Sat, 24 Jan 2004, J.H.M. Dassen (Ray) wrote:

> Regarding this bug report's title, console-tools installs just fine on my
> reiserfs partition.
>
> On Sat, Jan 24, 2004 at 19:56:10 +1100, Tim Connors wrote:
> > dpkg: error processing /var/cache/apt/archives/console-tools_1%3a0.2.3dbs-46_i386.deb (--unpack):
> >  unable to stat `./usr/share/doc/console-tools/examples/###### (which I was about to install): Invalrgument
> > dpkg-deb: subprocess paste killed by signal (Broken pipe)
>
> > Is it really wise to have unicode chars in a filename, given the lack of
> > portability?
>
> Using UTF-8 is more or less the only sensible way of getting beyond
> ASCII-only filenames.
>
> Have a look at the "README.strange-name" file that ships along with the
> example. The kernel/fs really should treat it as any other file. I suspect
> that what your seeing should be interpreted as a bug in the filesystem
> you're using, not in console-tools. It would be helpful if you could provide
> the relevant part of strace output of "dpkg-deb -x
> /var/cache/apt/archives/console-tools_1%3a0.2.3dbs-46_i386.deb
> /a/path/to/a/temp/directory/on/jfs".

OK. Attached. JFS doesn't have a mailing list for bugs, but they do have a
sourceforge like bug report form:
http://www-124.ibm.com/developerworks/bugs/?group_id=35

So I'll refer them here...


-- 
TimC -- http://astronomy.swin.edu.au/staff/tconnors/
"`Ford, you're turning into a penguin. Stop it.'" -THHGTTG



Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#229308; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to 229308@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #32 received at 229308@bugs.debian.org (full text, mbox):

From: "J.H.M. Dassen (Ray)" <fsmla@xinara.org>
To: 229308@bugs.debian.org
Cc: Tim Connors <tconnors@astro.swin.edu.au>, Alastair McKinstry <mckinstry@computer.org>
Subject: Re: console-tools: invalid argument when installing (examples dir) into non ext[23] partition (fwd)
Date: Tue, 27 Jan 2004 00:23:08 +0100
On Tue, Jan 27, 2004 at 08:32:29 +1100, Tim Connors wrote:
> Hmmm, with attachment, didn't get through to the BTS.
> 
> So rather than cut the thing down to size here, and potentially miss
> something, I'll put it up at
> http://www.astronomy.swin.edu.au/staff/tconnors/code/dpkg.strace.txt
> 
> Search for
> [pid 32660] open("./usr/share/doc/console-tools/examples

This is the telling line:
[pid 32660] open("./usr/share/doc/console-tools/examples/â\x{2122}ªâ\x{2122}¬", O_WRONLY|O_CREAT|O_EXCL|O_LARGEFILE, 0644) = -1 EINVAL (Invalid argument)

Note that EINVAL isn't even listed among the errors in open(2).

This definitely points to a JFS bug.

Ray
-- 
I'd rather not work with people who aren't careful. It's darwinism in
software development.
	Linus Torvalds on the linux-kernel list



Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sun, 15 Dec 2013 12:43:59 GMT) Full text and rfc822 format available.

Notification sent to Tim Connors <tconnors+reportbug@astro.swin.edu.au>:
Bug acknowledged by developer. (Sun, 15 Dec 2013 12:43:59 GMT) Full text and rfc822 format available.

Message #37 received at 229308-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 50587-done@bugs.debian.org,52544-done@bugs.debian.org,66909-done@bugs.debian.org,75779-done@bugs.debian.org,81333-done@bugs.debian.org,81590-done@bugs.debian.org,81591-done@bugs.debian.org,110831-done@bugs.debian.org,114690-done@bugs.debian.org,229308-done@bugs.debian.org,235771-done@bugs.debian.org,247330-done@bugs.debian.org,253951-done@bugs.debian.org,258086-done@bugs.debian.org,259300-done@bugs.debian.org,261000-done@bugs.debian.org,261746-done@bugs.debian.org,264330-done@bugs.debian.org,268246-done@bugs.debian.org,273466-done@bugs.debian.org,280022-done@bugs.debian.org,289265-done@bugs.debian.org,294448-done@bugs.debian.org,295489-done@bugs.debian.org,299698-done@bugs.debian.org,299798-done@bugs.debian.org,301289-done@bugs.debian.org,305094-done@bugs.debian.org,309326-done@bugs.debian.org,309549-done@bugs.debian.org,309613-done@bugs.debian.org,310733-done@bugs.debian.org,312408-done@bugs.debian.org,313096-done@bugs.debian.org,317832-done@bugs.debian.org,320938-done@bugs.debian.org,329083-done@bugs.debian.org,329129-done@bugs.debian.org,332745-done@bugs.debian.org,333533-done@bugs.debian.org,333538-done@bugs.debian.org,346458-done@bugs.debian.org,350085-done@bugs.debian.org,352490-done@bugs.debian.org,353203-done@bugs.debian.org,354279-done@bugs.debian.org,358647-done@bugs.debian.org,362892-done@bugs.debian.org,365942-done@bugs.debian.org,365944-done@bugs.debian.org,375351-done@bugs.debian.org,375693-done@bugs.debian.org,379944-done@bugs.debian.org,381641-done@bugs.debian.org,384788-done@bugs.debian.org,386535-done@bugs.debian.org,386743-done@bugs.debian.org,387005-done@bugs.debian.org,388185-done@bugs.debian.org,389875-done@bugs.debian.org,390207-done@bugs.debian.org,395190-done@bugs.debian.org,398440-done@bugs.debian.org,399463-done@bugs.debian.org,400644-done@bugs.debian.org,404274-done@bugs.debian.org,407653-done@bugs.debian.org,411830-done@bugs.debian.org,414368-done@bugs.debian.org,417850-done@bugs.debian.org,418194-done@bugs.debian.org,425697-done@bugs.debian.org,426549-done@bugs.debian.org,434662-done@bugs.debian.org,440947-done@bugs.debian.org,442156-done@bugs.debian.org,451682-done@bugs.debian.org,453611-done@bugs.debian.org,455074-done@bugs.debian.org,456680-done@bugs.debian.org,473552-done@bugs.debian.org,474091-done@bugs.debian.org,484509-done@bugs.debian.org,496273-done@bugs.debian.org,496929-done@bugs.debian.org,497231-done@bugs.debian.org,498944-done@bugs.debian.org,500831-done@bugs.debian.org,514254-done@bugs.debian.org,514257-done@bugs.debian.org,515608-done@bugs.debian.org,518777-done@bugs.debian.org,521202-done@bugs.debian.org,537508-done@bugs.debian.org,537910-done@bugs.debian.org,544782-done@bugs.debian.org,545509-done@bugs.debian.org,546554-done@bugs.debian.org,547610-done@bugs.debian.org,554991-done@bugs.debian.org,556661-done@bugs.debian.org,562868-done@bugs.debian.org,564300-done@bugs.debian.org,566501-done@bugs.debian.org,567613-done@bugs.debian.org,569050-done@bugs.debian.org,570338-done@bugs.debian.org,571796-done@bugs.debian.org,574864-done@bugs.debian.org,589733-done@bugs.debian.org,593372-done@bugs.debian.org,600763-done@bugs.debian.org,605730-done@bugs.debian.org,606923-done@bugs.debian.org,607373-done@bugs.debian.org,613921-done@bugs.debian.org,641055-done@bugs.debian.org,644739-done@bugs.debian.org,661189-done@bugs.debian.org,663402-done@bugs.debian.org,672708-done@bugs.debian.org,684537-done@bugs.debian.org,714954-done@bugs.debian.org,729564-done@bugs.debian.org,729756-done@bugs.debian.org,
Cc: console-tools@packages.debian.org, console-tools@packages.qa.debian.org
Subject: Bug#671342: Removed package(s) from unstable
Date: Sun, 15 Dec 2013 12:41:30 +0000
Version: 2:0.2.3-73+rm

Dear submitter,

as the package console-tools has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/671342

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:53:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.